Page MenuHomePhabricator

VE won’t load on Chrome+iOS (also Firefox+iOS)
Closed, ResolvedPublic

Description

This is probably because the user agent string no longer parses:
Mozilla/5.0 (iPad; CPU OS 14_0 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/84.0.4147.122 Mobile/15E148 Safari/604.1

Event Timeline

Esanders created this task.Sep 7 2020, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2020, 6:15 PM
Esanders added a comment.EditedSep 7 2020, 8:35 PM

This currently parses as Safari version 2, which is why VE refuses to load:

	Actual: {
	  "layout": "webkit",
	  "layoutVersion": 605,
	  "name": "safari",
	  "platform": "iphone",
	  "version": "2.0",
	  "versionBase": "2",
	  "versionNumber": 2
	}

@Krinkle Chrome on iOS is the same as Safari, but as the version number we get is for Chrome only, we can't really report it as Safari.

Change 625726 had a related patch set uploaded (by Esanders; owner: Esanders):
[jquery-client@master] Add support for Chrome for iOS (CriOS)

https://gerrit.wikimedia.org/r/625726

This patch will allow VE to load with a warning. (Safari 2 is on the deny list, "crios" is unrecognised so is allowed, but with a warning). Given that this should behave the same as mobile safari we could probably get rid of the warning by adding "crios" to the VE allow list.

It looks like other iPhone browsers have the same issue, here is Firefox on iOS:

Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) FxiOS/16.0b14732 Mobile/15E148 Safari/605.1.15

Change 625726 merged by jenkins-bot:
[jquery-client@master] Add support for Chrome for iOS (CriOS)

https://gerrit.wikimedia.org/r/625726

Krinkle moved this task from Backlog to Problem on the jQuery-Client board.Sep 9 2020, 2:04 PM

Chrome for iOS actually has a decent market share amongst our users, ~3% of mobile, so ~6-10% of iOS users:

https://analytics.wikimedia.org/dashboards/browsers/#mobile-site-by-browser

Firefox for iOS is more like 0.1%.

Change 626161 had a related patch set uploaded (by Esanders; owner: Esanders):
[jquery-client@master] Add support for Firefox for iOS (FxiOS)

https://gerrit.wikimedia.org/r/626161

Change 626161 merged by jenkins-bot:
[jquery-client@master] Add support for Firefox for iOS (FxiOS)

https://gerrit.wikimedia.org/r/626161

Esanders renamed this task from VE won’t load on Chrome+iOS to VE won’t load on Chrome+iOS (also Firefox+iOS).Sep 9 2020, 4:00 PM
DLynch added a subscriber: DLynch.EditedSep 9 2020, 4:20 PM

This may be fallout from f648197 removing the generic "iphone" and "ipad" browser-names? Which does mean that Ed caught this on the day it was committed, at least.

Change 626200 had a related patch set uploaded (by Krinkle; owner: Jforrester):
[mediawiki/core@master] resources: Update jquery-client from 2.0.2 to 3.0.0

https://gerrit.wikimedia.org/r/626200

Krinkle added a comment.EditedSep 9 2020, 6:56 PM

This may be fallout from f648197 removing the generic "iphone" and "ipad" browser-names? Which does mean that Ed caught this on the day it was committed, at least.

Aye, that woud've been cool, but not so I think. The previous jquery-client release was in 2019. All those other changes were merged this week to ride along with Ed's fix for this in today's release.

You are right though, without Ed's change, my change from yesterday definitely would have made the problem worse by causing Chrome/iOS on iPhone to fail in a way that's similar to Chrome/iOS on iPad.

In the current production version, iphone being its own browser name is preventing this bug from happening there.

Change 626200 merged by jenkins-bot:
[mediawiki/core@master] resources: Update jquery-client from 2.0.2 to 3.0.0

https://gerrit.wikimedia.org/r/626200

Esanders claimed this task.Sep 10 2020, 7:33 PM
Esanders moved this task from Code Review to QA on the Editing-team (FY2020-21 Kanban Board) board.
Esanders removed a project: Patch-For-Review.
Krinkle removed a subscriber: Krinkle.Sep 10 2020, 9:03 PM
ppelberg moved this task from Inbox to High Priority on the Editing QA board.Sep 17 2020, 9:45 PM
ppelberg moved this task from Low Priority to High Priority on the Editing QA board.
Ryasmeen edited projects, added Verified; removed Editing QA.Mon, Sep 28, 10:24 PM
ppelberg closed this task as Resolved.Tue, Sep 29, 1:52 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptTue, Sep 29, 1:52 AM